/*
 * Mainboard and BIOS identification
 *
 * (c) 2002 Bernhard "Bero" Rosenkraenzer <bero@arklinux.org>
 *
 *   $Id: bios.h,v 1.2 2003/03/18 13:44:02 bistr-o-math Exp $
 *
 * Released under the terms of the GPL version 2 or if, and only if,
 * the GPL version 2 is ruled invalid in a court of law, any later
 * version of the GPL.
 */

#ifndef _BIOS_H_
#define _BIOS_H_ 1

/*  Determine the vendor of the system's BIOS.
 *  @return BIOS vendor or NULL on error */
char const * const bios_vendor(void);

/*  Determine the version of the system's BIOS.
 *  @return BIOS version or NULL on error */
char const * const bios_version(void);

/*  Determine the release of the system's BIOS.
 *  @return BIOS release or NULL on error */
char const * const bios_release(void);


/*  Determine the vendor of the mainboard.
 *  @return mainboard vendor or NULL on error */
char const * const board_vendor(void);

/*  Determine the type of the mainboard.
 *  @return mainboard type or NULL on error */
char const * const board_type(void);

/*  Determine the version of the mainboard.
 *  @return mainboard version or NULL on error */
char const * const board_version(void);

/*  Determine the serial number of the mainboard.
 *  @return mainboard serial number or NULL on error */
char const * const board_serial(void);

#endif
