/*
 *   NVRAM WakeUp
 *   Copyright (C) 2001-2002, Sergei Haller.
 *   Copyright (C) 2002 Bernhard "Bero" Rosenkraenzer <bero@arklinux.org>
 *
 *   $Id: nvram-wakeup-mb.h,v 1.115 2003/03/18 13:44:04 bistr-o-math Exp $
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _NVRAM_WAKEUP_MB_H_
#define _NVRAM_WAKEUP_MB_H_ 1

#define CVSREV_nvram_wakeup_mb_h \
     "$Id: nvram-wakeup-mb.h,v 1.115 2003/03/18 13:44:04 bistr-o-math Exp $"

#include "bios.h"

/*
 *   The mainboard definitions have been moved to nvram-wakeup-mb.c -- if you're
 *   following instructions from an older README, you want to read that file
 *   instead.
 * 
 */



/* reboot conditions...
 */
#define ON_STAT   1     /* (1 << 0) */
#define ON_SEC    2     /* (1 << 1) */
#define ON_MIN    4     /* (1 << 2) */
#define ON_HOUR   8     /* (1 << 3) */
#define ON_DATE   16    /* (1 << 4) */
#define ON_MON    32    /* (1 << 5) */
#define ON_WDAYS  64    /* (1 << 6) */

#define ALWAYS    (~0)

int get_bios_info_by_dmi(struct biosinfo *b);
int get_bios_info_by_iw(struct biosinfo *b, const char * iw_name);

#endif
